<?php
/**
 * User: nester_a
 * Date: 22.07.14
 */

namespace LMS\Tests\Libs;

use LMS\Libraries\ServiceLocator;

abstract class DatabaseTestCase extends \PHPUnit_Framework_TestCase
{
	protected $dbo;

	public function setUp()
	{
		$this->dbo = ServiceLocator::get('basedriver');
		$this->dbo->select(ServiceLocator::get('config')->get('db_test', 'joomla31_test'));

		$queries = explode(';', file_get_contents(__DIR__ . '/../data/sql/fixture.sql'));
		foreach($queries as $query){
			if(!empty($query)){
				$this->dbo->setQuery($query);
				$this->dbo->query();
			}
		}
	}
}