<?php
namespace LMS\Tools\Coursebuilder\Helpers;

defined('_JEXEC') or die;

use LMS\Libraries\Config;

class Module
{
	public static function getJlmsModuleParams($module)
	{
		$configLoader = new Config\ConfigLoader('config.lms_modules.json');
		$config = $configLoader::getConfig(false);

		$result = false;

		foreach($config as $item){
			if($item->module == $module){
				$result = $item;
				break;
			}
		}

		if($result == false){
			$result = new \stdClass();
			$result->module = $module;
			$result->allowincoursebuilder = 0;
			$result->singleinstance = 0;

			if($module == 'mod_custom'){
				$result->allowincoursebuilder = 1;
				$result->singleinstance = 0;
			}
		}

		return $result;
	}
}
 