<?php
defined('JPATH_PLATFORM') or die;

use LMS\Libraries;

JFormHelper::loadFieldClass('list');

class JFormFieldPositions  extends JFormFieldList
{	
	protected $type = 'Positions';
	
	protected function getOptions()
	{		
		Libraries\ServiceLocator::load('tool.coursebuilder');
		
		//TODO: Set JoomlaLMS template name to config variable 'template'.
		$template = Libraries\ServiceLocator::get('config')->get('template', 'joomlalms');
		
		$path   = \JPath::clean(JPATH_SITE . '/templates/' . $template . '/templateDetails.xml');

		if (file_exists($path))
		{
			$templateDetails = simplexml_load_file($path);
		}
		else
		{
			return array();
		}
			
		$options = array();
		$options[] = JHtml::_('select.option', '', '', 'value', 'text', false);
				
		foreach($templateDetails->positions->position AS $position){						
			$options[] = JHtml::_('select.option', $position, $position, 'value', 'text',	false);
		}	

		return $options;
	}
}