<?php
namespace LMS\Tools\Courses\Helpers;

defined('_JEXEC') or die;

use LMS\Libraries\ServiceLocator;

$config = ServiceLocator::get('config');
$tmpFolder = $config->get('temp_folder', 'jlms');

defined('JLMS_AVATAR_BASE_DIR') or define('JLMS_AVATAR_BASE_DIR', JPATH_ROOT.DS.$tmpFolder.DS.'coursesavatar'.DS);
defined('JLMS_AVATAR_BASE_URL') or define('JLMS_AVATAR_BASE_URL',  \JURI::root() . $tmpFolder.'/coursesavatar/');

class Avatar extends Logo
{
	public static $baseDir = JLMS_AVATAR_BASE_DIR;

	public static $baseUrl = JLMS_AVATAR_BASE_URL;

	public static $types = array('large');

	public static function getSizeByType($type = 'large')
	{
		$sizes = static::sizes();

		foreach($sizes as $keyType => $size){
			if($keyType == $type){
				return $size;
				break;
			}
		}

		return $sizes['large'];
	}

	public static function getAvatar($avatarParam, $type = 'large')
	{
		return static::fileUrl($avatarParam, $type);
	}
}