<?php
/**
 * User: nester_a
 * Date: 15.07.14
 */

namespace Webex\Repository;

use LMS\Tools\Conference\Repository;
use Webex\Table;

class WebexBooking extends Repository\Booking
{
	public function __construct($options)
	{
		parent::__construct($options);
		$this->table = new Table\Booking($this->db);
	}

	protected function beforeSave(&$data)
	{
		$input = $data;
		$data = array(
			'conf_id' => $input->conferenceID,
			'meeting_id' => $input->meeting->meeting_id,
			'unique_meeting_id' => $input->meeting->unique_meeting_id,
			'join_url' => $input->meeting->join_url,
			'password' => $input->meeting->password,
		);
	}


}