<?php
defined('_JEXEC') or die;
?>
<table id="tableSubscriptions" class="table table-striped table-hover" >
<thead>	
	<tr>	
		<th width="1%">
		#
		</th>
		<th width="1%">
		</th>
		<th>
		<?php echo _JLMS_TITLE;?>
		</th>
		<th>
		<?php echo _JLMS_TYPE;?>
		</th>
		<th>
		<?php echo _JLMS_START_DATE;?>
		</th>
		<th>
		<?php echo _JLMS_END_DATE;?>
		</th>
		<th>
		<?php echo _JLMS_PRICE;?>
		</th>
	</tr>
</thead>
<tbody>
<?php
$i=0; 
foreach ($this->items as $item)
{	
	$i++;	
	
	$startDate = '-';
	$endDate = '-';
	$price = number_format($item->price, 2);	
	
	switch($item->type) {			
		case JLMS_SUBSCRIPTIONS_TYPE_DATE_TO_DATE:
			$startDate = $item->start_date;
			$endDate = $item->end_date;	
		break;
		case JLMS_SUBSCRIPTIONS_TYPE_DATE_TO_LIFETIME:
			$startDate = $item->start_date;
			$endDate = \JText::_('_JLMS_LIFETIME');
		break;
		case JLMS_SUBSCRIPTIONS_TYPE_X_DAYS_ACCESS:			
			$startDate = \JText::_('_JLMS_DAY_OF_PAYMENT');
			$endDate 	= '+'.$item->access_days.' '.\JText::_('_JLMS_DAYS');
		break;
		case JLMS_SUBSCRIPTIONS_TYPE_WITH_DISCOUNT:
			$price = number_format($item->price,2)." - " . number_format($item->discount,2) . "% = ".number_format($item->price - ($item->price*$item->discount/100) ,2);
		break;
	}		
?>
<tr>
	<td>
		<?php echo $i;  ?>
	</td>
	<td>
	<?php 
		$itemToolbar = new \LMS\Widgets\Itemtoolbar();							
		$itemToolbar->addDeleteButton(array(				
			'href'=> 'index.php?option=com_joomla_lms&task=subscriptions.subscription.delete&id='.$item->id.'&redirect='.base64_encode($this->redirect),
			'class'=> 'jlms-delete-btn'
		));			
		
		echo $itemToolbar;		
	?>
	</td>
	<td>		
	<?php echo $item->title; ?>		
	</td>
	<td>
	<?php echo LMS\Tools\Subscriptions\Helpers\Subscription::getTypeName($item->type);	?>
	</td>
	<td>
	<?php echo $startDate; ?>
	</td>
	<td>
	<?php echo $endDate; ?>
	</td>
	<td>
	<?php echo $price; ?>
	</td>		
</tr>
<?php 
};
?>	
</tbody>
</table>


